package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsHealthRecord;
import com.fs.his.param.FsHealthRecordListParam;
import com.fs.his.vo.FsHealthRecordListPVO;

/**
 * 健康档案Service接口
 *
 * @author fs
 * @date 2024-09-02
 */
public interface IFsHealthRecordService
{
    /**
     * 查询健康档案
     *
     * @param id 健康档案主键
     * @return 健康档案
     */
    public FsHealthRecord selectFsHealthRecordById(Long id);

    /**
     * 查询健康档案列表
     *
     * @param fsHealthRecord 健康档案
     * @return 健康档案集合
     */
    public List<FsHealthRecord> selectFsHealthRecordList(FsHealthRecord fsHealthRecord);

    /**
     * 新增健康档案
     *
     * @param fsHealthRecord 健康档案
     * @return 结果
     */
    public int insertFsHealthRecord(FsHealthRecord fsHealthRecord);

    /**
     * 修改健康档案
     *
     * @param fsHealthRecord 健康档案
     * @return 结果
     */
    public int updateFsHealthRecord(FsHealthRecord fsHealthRecord);

    /**
     * 批量删除健康档案
     *
     * @param ids 需要删除的健康档案主键集合
     * @return 结果
     */
    public int deleteFsHealthRecordByIds(Long[] ids);

    /**
     * 删除健康档案信息
     *
     * @param id 健康档案主键
     * @return 结果
     */
    public int deleteFsHealthRecordById(Long id);

    FsHealthRecord selectFsHealthRecordByUserId(Long l);

    List<FsHealthRecordListPVO> selectFsHealthRecordListVO(FsHealthRecordListParam fsHealthRecord);

    List<FsHealthRecordListPVO> selectFsHealthRecordCompanyListVO(FsHealthRecordListParam fsHealthRecord);


}
